#!/usr/bin/env python3
#version 25-09-2017
from app import app

#from logging.handlers import TimedRotatingFileHandler
#from logging.handlers import RotatingFileHandler
import subprocess, signal
import configparser,os,argparse





class GracefulKiller():
  kill_now = False
  def __init__(self):
    print ("Init of Grace Killer Manual") 
    signal.signal(signal.SIGINT, self.exit_gracefully)
    signal.signal(signal.SIGTERM, self.exit_gracefully)
  def exit_gracefully(self,signum, frame):
    print ("GracefulKiller RunFlask Is invoked") 
    exit(0)




#logger = setup()
def main_start(host,port):
	try:
		app.run(threaded=True,debug=True,host= host,port= port) 
	except Exception as e: 
		#logger.error(" Exception in running server:  %s" % (str(e) ) )
		print (" Exception in running server:  %s" % (str(e) ) )

def worker(host,port):
	print ("Flask starter Version from 25-05-2017 ")
	killer = GracefulKiller()
	main_start(host,port)

if __name__=='__main__':
	
	parser = argparse.ArgumentParser(description='Invoice API')
	parser.add_argument('-H', '--host', default='0.0.0.0' ,  help='host for Invoice API')
	parser.add_argument('-P', '--port', default= 5000 ,  help='port for Invoice API')
	args = parser.parse_args()
	host = args.host
	port = int(args.port)
	
	main_start(host,port)



#print("Do not run directly this module")
#worker(1000)
