#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#  test_api.py
#  
#  Copyright 2017 krasytod <krasytod@krasytod-desktop>
#  
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
#  
#  
import requests, time,logging


# select resource_id from resource where client_id = 534 and ingress is true 

def main():
	import http.client as http_client
	http_client.HTTPConnection.debuglevel = 1
	# You must initialize logging, otherwise you'll not see debug output.
	logging.basicConfig()
	logging.getLogger().setLevel(logging.DEBUG)
	requests_log = logging.getLogger("requests.packages.urllib3")
	requests_log.setLevel(logging.DEBUG)
	requests_log.propagate = True
	#curl -X POST localhost:8887
	fields='0,7,9,10,11,12,13'
	URL = "http://127.0.0.1:8887"
	URL_2 = "http://127.0.0.1:8889"
	r = requests.post(URL)
	
	if int(r.status_code) == 200:
		token = r.json()['token']
	else:
		print( r.reason)
		return 1
	print(token)
	#debug with static token
	#token =  "Yuza2L2rlGkdemBeYzL0SVncFafTjYNFSMpShsJT614inGMLDf"
	time.sleep(2)
	#curl -H "Authorization: Token EbSFxvNcmOx0TG72Q3Y07HqpMlBenntzMJDHEatyyoyP45QV8w" --data "start_time=1506470400&end_time=1506556799&ingress_id=624&human_readable" 192.99.10.113:8889
	auth_token = {'Authorization': 'Token %s'%token}
	#print (auth_token)
	payload =  {"start_time":1506470400,"end_time":1506556799,"ingress_id":"624,620","field":fields,"human_readable":1}   # {"data": ,"human_readable":"1"
	r = requests.post(URL_2, headers= auth_token ,data = payload ) #,data = payload 
	#print ( r.text )  #  r.json()
	time.sleep(2)
	if r.json()["msg"] == "Async request successfully created":
		request_id = r.json()["request_id"]
		print ( r.text )
	else:
		print ( r.text )
		return 2
	print ( '  curl -H "Authorization: Token %s" 127.0.0.1:8889/%s   '  % (  token, request_id )      )
	#print (URL_2+"/"+request_id)
	while True:
		
		r = requests.get(URL_2+"/"+request_id, headers= auth_token)
		if r.json()["code"] != 200:
			print ("ERROR!")
			print ( r.text )
			break
		if r.json()["status"] != "Processing":
			print ("FINSIHED")
			print ( r.text )
			break
		print (r.text)
		time.sleep(10)
	return 0

if __name__ == '__main__':
	main()

